Bug 259250 - net-p2p/lidarr: Switch to mono 6.8
Summary: net-p2p/lidarr: Switch to mono 6.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dries Michiels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-18 19:33 UTC by Dries Michiels
Modified: 2021-11-16 21:04 UTC (History)
2 users (show)

See Also:
michiel: maintainer-feedback+


Attachments
lidarr.diff (797 bytes, patch)
2021-10-18 19:34 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels freebsd_committer 2021-10-18 19:33:45 UTC
Given other mono ports have been converted to using the last version available, lidarr could do the same. 

https://cgit.freebsd.org/ports/commit/net-p2p/radarr/Makefile?id=185bd5a5932f994c2aae90283da7c792ff3267c6

sonarr has gotten the same, emby-server is ready in bugzilla etc.

Fewer bugs more recent runtime should be win win.
Comment 1 Dries Michiels freebsd_committer 2021-10-18 19:34:02 UTC
Created attachment 228810 [details]
lidarr.diff
Comment 2 Michiel van Baak 2021-10-18 19:46:41 UTC
(In reply to Dries Michiels from comment #0)


Thanks. LGTM. Let's go go go
Comment 3 commit-hook freebsd_committer 2021-11-16 21:01:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5cf0b0c2d829582f2419086abd28af93cfb9007a

commit 5cf0b0c2d829582f2419086abd28af93cfb9007a
Author:     Dries Michiels <driesm@FreeBSD.org>
AuthorDate: 2021-11-14 08:48:51 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-11-16 20:00:10 +0000

    net-p2p/lidarr: Switch to mono 6.8

    Use the most recent mono available with less bugs.
    While here reformat Makefile with portfmt.

    PR:                     259250
    Approved by:            michiel@vanbaak.eu (maintainer), 0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33000

 net-p2p/lidarr/Makefile | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)
Comment 4 Dries Michiels freebsd_committer 2021-11-16 21:04:23 UTC
Committed, thanks for the approval! 

I have also folded in petting portfmt, its a great tool! For this port it only added a tab instead of space and sorted run_deps in alpha order.

Hopefully the dotnet guys keep going and we can have a dotnet port in the future! This would really benefit a lot of ports.